@echo off
if %1!==! goto SHOW_SYNTAX
echo.
echo Hiermit installieren Sie das Windows fr Workgroups 3.11-Jahr-2000-Update
echo (Winfile.exe).
echo.
echo Wenn Ihr Computer aktuell unter einem anderen Betriebssystem als
echo Windows 3.1 ausgefhrt wird, oder wenn Sie das Update zu einem anderen
echo Zeitpunkt installieren mchten, drcken Sie die Tastenkombination "Strg+C",
echo um diesen Batch-Vorgang zu abzubrechen. Andernfalls knnen Sie eine beliebige
pause

:DO_WINCHECK
if not exist %1\win.com goto SHOW_SYNTAX
if not exist %1\winver.exe goto SHOW_SYNTAX
REM WFWG 3.11?
if not exist %1\SYSTEM\IFSMGR.386 goto BAD_WINVER
if not exist %1\SYSTEM\VXDLDR.386 goto BAD_WINVER
REM Win9x?
if exist %1\SYSTEM\VMM32.VXD goto BAD_WINVER
REM WinNT?
if exist %1\SYSTEM32\NTOSKRNL.EXE goto BAD_WINVER
goto DO_FILECHECK

:DO_FILECHECK
if not exist %1\winfile.exe goto DO_COPY
attrib -r -s -h %1\winfile.exe > nul
if exist %1\winfile.old goto DO_COPY

:DO_BACKUP
ren %1\winfile.exe winfile.old > nul

:DO_COPY
copy winfile.y2k %1\winfile.exe
if not exist %1\winfile.exe goto COPY_FAILED
echo.
echo Update installiert!
goto END

:COPY_FAILED
echo Fehler bei der Installation des Updates.
goto END

:BAD_WINVER
echo Diese Update kann nicht unter der aktuell ausgefhrten Version von
echo Windows installiert werden.
goto END

:SHOW_SYNTAX
echo Fhren Sie den Befehl erneut aus, und geben Sie wie im folgenden Beispiel
echo dargestellt, den Pfad zu Ihrem Windows-Verzeichnis an.
echo.
echo 	%0 C:\WINDOWS

:END
echo.

